import type { NetworkAdapter } from '@luvio/engine';
import { type JwtResolver } from '@luvio/jwt-manager';
import { type ModifyResourceRequestHook } from './jwtNetworkAdapter';
export declare function buildJwtNetworkAdapter<T, E>(jwtResolver: JwtResolver<E>, modifyResourceRequestHook?: ModifyResourceRequestHook<T, E>): NetworkAdapter;
export type { ModifyResourceRequestHook } from './jwtNetworkAdapter';
